Bug 738805 - Docs for the spacewalk-report command
Docs for the spacewalk-report command
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Docs Installation Guide (Show other bugs)
unspecified
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Lana Brindley
ecs-bugs
:
Depends On:
Blocks: sat54-docs
  Show dependency treegraph
 
Reported: 2011-09-15 16:53 EDT by Todd Warner
Modified: 2013-10-23 19:25 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-01-29 16:09:30 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Todd Warner 2011-09-15 16:53:12 EDT
Description of problem:
The commandline utility "spacewalk-report" that is housed in the "spacewalk-reports" RPM is not installed by default, and only documented via a manpage.

I.e., customers don't know about it.

I think we need to include it in the docs proper. Maybe a brief summary that...
1. Directs them to "man spacewalk-report" for specifics
2. Gives a couple examples how one may manipulate the generated CSVs
3. Gives a couple crontab examples for automating and emailing a report
Comment 1 Todd Warner 2011-09-15 16:54:25 EDT
Oh... and since it is not installed by default. The docs would mention how to get it installed. :)
Comment 2 Todd Warner 2011-09-16 16:38:08 EDT
Note, we apparently have some docs already... Need to investigate if this should be expanded.

http://docs.redhat.com/docs/en-US/Red_Hat_Network_Satellite/5.4/html/Installation_Guide/chap-Installation_Guide-Troubleshooting.html#id1436595
Comment 5 Clifford Perry 2011-10-26 13:16:44 EDT
Using - http://docs.redhat.com/docs/en-US/Red_Hat_Network_Satellite/5.4/html/Installation_Guide/chap-Installation_Guide-Troubleshooting.html#id1436595

I've added notes for the newer reports we have added this past 9 odd months. 

[cperry@cperry ~]$ diff -u spacewalk-report-text-current spacewalk-report-text-proposed
--- spacewalk-report-text-current	2011-10-26 12:45:47.087284029 -0400
+++ spacewalk-report-text-proposed	2011-10-26 13:11:38.199282391 -0400
@@ -1,11 +1,12 @@
-spacewalk-report allows administrators to organize and display reports about content, systems, and user resources across the Satellite. Using spacewalk-report, you can receive reports on:
+spacewalk-report allows administrators to organize and display reports about content, errata, systems, system event history, and user resources across the Satellite. Using spacewalk-report, you can receive reports on:
 
     * System Inventory — Lists all of the systems registered to the Satellite.
     * Entitlements — Lists all organizations on the Satellite and sorted by system or channel entitlements.
     * Errata — Lists all the errata relevant to the registered systems and sorts errata by severity as well as the systems that apply to a particular erratum.
     * Users — Lists all the users registered to the Satellite, and lists any systems associated with a particular user. 
+    * System History - Lists all, or a subset, of all the system events that have occurred for one or more systems.
 
-spacewalk-report allows administrators to organize and display reports about content, systems, and user resources across the Satellite. To get the report in CSV format, run the following at the command line of your Satellite server.
+spacewalk-report allows administrators to organize and display reports about content, errata, systems, system event history, and user resources across the Satellite. To get the report in CSV format, run the following at the command line of your Satellite server.
 
 spacewalk-report report_name
 
@@ -18,7 +19,17 @@
 |System Inventory| 	inventory| 	List of systems registered to the server, together with hardware and software information.
 |Entitlements| 	entitlements| 	Lists all organizations on the Satellite with their system or channel entitlements.
 |Errata details| 	errata-list |	Lists all errata that affects systems registered to the Satellite
+|Errata in channels|	errata-channels|	 List of erratas in channels
 |All Errata| 	errata-list-all| 	Complete list of all errata.
 |Errata for systems| 	errata-systems| 	Lists applicable errata and any registered systems that are affected.
 |Users in the system| 	users| 	Lists all users registered to the Satellite.
 |Systems administered| 	users-systems| 	List of systems that individual users can administer. 
+|Kickstart Trees|	kickstartable-trees| List of kickstartable trees
+|System history|	system-history| List all system event history
+|System history channels| system-history-channels| List for systems their channel event history
+|System history configuration| system-history-configuration| List for systems their configuration event history
+|System history entitlements| system-history-entitlements| List for systems their system entitlement event history 
+|System history errata| system-history-errata| List for systems their errata event history
+|System history kickstart| system-history-kickstart| List for systems their kickstart/provisioning event history
+|System history packages| system-history-packages| List for systems their package event history
+

Hopefully this text is easy enough to read. 

Here is some command line outputs from spacewalk-reports. 

[root@rlx-1-18 ~]# spacewalk-report --info
channel-packages: Packages in channels
channels: Channel report
entitlements: Entitlement and channel list and usage
errata-channels: List of erratas in channels
errata-list: Errata out of compliance information - errata details
errata-list-all: List of all erratas
errata-systems: Errata out of compliance information - erratas for systems
inventory: Inventory report
kickstartable-trees: List of kickstartable trees
system-history: System event history
system-history-channels: Channel event history
system-history-configuration: Configuration event history
system-history-entitlements: System entitlement event history
system-history-errata: Errata event history
system-history-kickstart: Kickstart event history
system-history-packages: Package event history
users: Users in the system
users-systems: Systems administered by individual users
[root@rlx-1-18 ~]# 
[root@rlx-1-18 ~]# for i in system-history-packages system-history-kickstart system-history-errata system-history-entitlements system-history-configuration system-history-channels system-history kickstartable-trees errata-channels; do echo; echo "*** $i ***"; spacewalk-report --list-fields-info $i; done

*** system-history-packages ***
server_id: System identifier
event_id: Event id
created_date: Date created
earliest_action: Earliest date this action will occur
pickup_date: The date/time the action was picked up
completed_date: The date/time the event was completed
status: Status of the event
event: Type of the event
event_data: Package name, version, and release

*** system-history-kickstart ***
server_id: System identifier
event_id: Event id
created_date: Date created
earliest_action: Earliest date this action will occur
pickup_date: The date/time the action was picked up
completed_date: The date/time the event was completed
status: Status of the event
event: Type of the event
event_data: Kickstart profile label

*** system-history-errata ***
server_id: System identifier
event_id: Event id
created_date: Date created
earliest_action: Earliest date this action will occur
pickup_date: The date/time the action was picked up
completed_date: The date/time the event was completed
status: Status of the event
event: Type of the event
event_data: Errata identifier

*** system-history-entitlements ***
server_id: System identifier
event_id: Event id
created_date: Date created
status: Status of the event
event: Type of the event
event_data: Additional parameters / details for the event

*** system-history-configuration ***
server_id: System identifier
event_id: Event id
created_date: Date created
earliest_action: Earliest date this action will occur
pickup_date: The date/time the action was picked up
completed_date: The date/time the event was completed
status: Status of the event
event: Type of the event
event_data: File name

*** system-history-channels ***
server_id: System identifier
event_id: Event id
created_date: Date created
status: Status of the event
event: Type of the event
event_data: Channel label

*** system-history ***
server_id: System identifier
event_id: Event id
time: Time of event
status: Status of the event
event: Type of the event
event_data: Additional parameters / details for the event

*** kickstartable-trees ***
organization_id: Organization identifier
channel_label: Label of the channel
tree_label: Kickstartable tree label
number_of_files: Number of files in the kickstartable tree

*** errata-channels ***
advisory: Advisory / errata identifier
channel_label: Channel label
[root@rlx-1-18 ~]#

Note You need to log in before you can comment on or make changes to this bug.